Skip to main content

Suppression d'un port spécifique

Pour vous authentifier, soumettez vos informations d'identification de l'utilisateur, l'ID du client et le secret du client pour l'authentification OAuth2. Reportez-vous à API Authentication pour savoir comment appeler l'API OAuth afin de valider et d'authentifier vos informations d'identification.

Pour supprimer un port, envoyez une requête DELETE au point de terminaison /fabric/v4/ports/{id}. Spécifiez le port par ID dans le chemin de la requête.

MethodDELETE
URL or Endpoint/fabric/v4/ports/{portUuid}
HeadersAuthorization
Path Parametersuuid
Query ParametersdryRun
Body ParametersNot applicable

Pour valider cette demande en toute sécurité dans la production sans supprimer aucun port, consultez Testing in Production (API Dry Run).

Exemple de requête cURL :

curl -X DELETE 'https://api.equinix.com/fabric/v4/ports/13c0f286-1190-480c-8a45-b3df00cad9cf'
-H 'Authorization: Bearer <token>'

Exemple de réponse :

{
"type": "XF_PORT",
"uuid": "e91484bb-4f65-4ab3-8f77-500dec2f855d",
"name": "test-AT1-Dot1q-L-Secondary-108608",
"physicalPortsType": "10GBASE_L",
"physicalPortsSpeed": 10000,
"physicalPortsCount": 1,
"location": {
"metroCode": "AM"
},
"demarcationPointIbx": "AM1",
"redundancy": {
"group": 1,
"priority": "PRIMARY"
},
"lagEnabled": true,
"encapsulation": {
"type": "DOT1Q",
"tagProtocolId": 33024
},
"package": {
"code": "STANDARD"
},
"settings": {
"sharedPortType": false
},
"project": {
"projectId": 567
},
"account": {
"accountNumber": 1000
},
"order": {
"orderNumber": "1-207799950758",
"signature": {
"signatory": "DELEGATE",
"delegate": {
"email": "testEmail1@equinix.com"
}
}
},
"notifications": [
{
"type": "TECHNICAL",
"registeredUsers": [
"jaguarsuser-port-order"
]
},
{
"type": "NOTIFICATION",
"registeredUsers": [
"jaguarsuser-port-order"
]
},
{
"type": "PEERING",
"registeredUsers": [
"jaguarsuser-port-order"
]
},
{
"type": "ESCALATION",
"registeredUsers": [
"jaguarsuser-port-order"
]
}
],
"physicalPorts": {
"tether": {
"crossConnectId": "100179-A",
"patchPanel": "PP:8118:1586",
"patchPanelPortA": "92",
"patchPanelPortB": "24"
},
"demarcationPoint": {
"ibx": "AT1",
"patchPanel": "PP:8118:1586",
"patchPanelName": "PP:8118:1586",
"patchPanelPortA": "92",
"patchPanelPortB": "24"
}
}
}

Pour une description détaillée de la réponse, consultez la [Référence API] (/api-catalog/fabricv4/#tag/Ports/operation/deletePort).

Cette page vous a-t-elle été utile ?